Subject: Re: debugging kernel core dumps ? <[email-masked]>

From: "Chris G. Demetriou" <[email-masked]>

>Why does it say "No debugging symbols found" (and apparently there aren't) if
>I built the kernel with "options DEBUG, DIAGNOSTIC"?  Presumably because my
>kernel compile Makefile (i.e., /sys/arch/sparc/compile/NETBSD4ME/Makefile) has
> 
> 	CFLAGS= ${COPTS} -O2
>
>in it.  I guess I would have assumed that config.new would see "options DEBUG"
>and make it "CFLAGS= ${COPTS} -g" instead?

because kernel debugging symbols don't have anything to do with the 'options'.

>The man page for config.new
>admonishes

>      The old undocumented-gflag is no longer supported.  Instead, use
>      ``makeoptions DEBUG="-g"'' and (typically) ``options KGDB''.
> 
> Perhaps a reminder that `options DEBUG, DIAGNOSTIC' *and* `makeoptions
> DEBUG="-g"' are probably both needed to get crash dumps working is in order?

DEBUG and DIAGNOSTIC are completely unnecessary.

the 'makeoptions' thing is necessary, i guess.  also, note that the
kernel name 'netbsd' will be the 'no debug symbols' kernel -- so it
doesn't take up N megs, where N is very large, on your root partition.
'netbsd.gdb' will probably be the one with the debugging symbols.

cgd